/*
    Sprite printing routines
    
    Special notes :
	    o	Texture data used for text must be a 4-bit CLUT
	    o	Format of TIM data is a 256x256 pixel bank.  In both modes
	    	the chars are arranged top left to bottom right, codes 0 - 255.
	    o	Now supports proportional fonts, but defaults to 8/16 pixel
	    	wide chars if no width table supplied.
	    o	Provides functions for calculating width of strings
	    o	On initialise allows an offset to be defined for easier mixing
	    	with 3D graphics.
*/

void	InitSPrint(int cx, int cy,
		   int maxchars,
		   GsOT *frame0_ot,
		   GsOT *frame1_ot,
		   int font8x8_texture_page,
		   int font16x16_texture_page,
		   int clut8_x,
		   int clut8_y,
		   int clut16_x,
		   int clut16_y,
		   short width8[],
		   short width16[]);

void	SPrintNewFrame(int frame_index);

void	SPrintRedraw(int frame_index, int r, int g, int b, int fade_pri);

void	SPrint8(char *str, 
		int x, int y,
		int transparent, int trans_mode,
		int priority,
		int r, int g, int b);

void	SPrint16(char *str, 
		 int x, int y,
		 int transparent, int trans_mode,
		 int priority,
		 int r, int g, int b);

void	SPutCh8(char ch, 
		int x, int y,
		int transparent, int trans_mode,
		int priority,
		int r, int g, int b);

void	SPutCh16(char ch, 
		 int x, int y,
		 int transparent, int trans_mode,
		 int priority,
		 int r, int g, int b);

int	SLength8(char *str);
int	SLength16(char *str);


/* END OF FILE */
